Updates a binding in place (scope, credential reference, enabled, note).
PUT
/v1/m/sourcescope/bindings/{id}
const url = 'https://example.com/v1/m/sourcescope/bindings/example';const options = { method: 'PUT', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"cred_hint":"example","cred_name":"example","cred_ref":"example","cred_ref_kind":"example","effect":"example","enabled":true,"folder_path":"example","id":"example","note":"example","scope_ref":"example","scope_tree":"example","source_ref":"example","source_type":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://example.com/v1/m/sourcescope/bindings/example \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "cred_hint": "example", "cred_name": "example", "cred_ref": "example", "cred_ref_kind": "example", "effect": "example", "enabled": true, "folder_path": "example", "id": "example", "note": "example", "scope_ref": "example", "scope_tree": "example", "source_ref": "example", "source_type": "example" }'Updates a binding in place (scope, credential reference, enabled, note).
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” id
required
string
Path parameter id.
Header Parameters
Section titled “Header Parameters ” X-Olivares-Tenant
string format: uuid
Target tenant id; required when the principal can act in more than one tenant.
Request Body required
Section titled “Request Body required ” Media type application/json
object
cred_name
cred_ref_kind
effect
folder_path
id
scope_ref
scope_tree
required
Case-insensitive after trimming: workspace, agent_group, folder, session, agent, user, user_group, or role.
string
source_ref
Example generated
{ "cred_hint": "example", "cred_name": "example", "cred_ref": "example", "cred_ref_kind": "example", "effect": "example", "enabled": true, "folder_path": "example", "id": "example", "note": "example", "scope_ref": "example", "scope_tree": "example", "source_ref": "example", "source_type": "example"}Responses
Section titled “ Responses ”OK
Media type application/json
object
Example generated
{}Bad request
Media type application/json
object
Example generated
{}Unauthenticated
Media type application/json
object
Example generated
{}Forbidden
Media type application/json
object
Example generated
{}Not found
Media type application/json
object
Example generated
{}Conflict / setup required
Media type application/json
object
Example generated
{}Rate limited
Media type application/json
object
Example generated
{}